/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the Qt Components project.
**
** $QT_BEGIN_LICENSE:BSD$
** You may use this file under the terms of the BSD license as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of Nokia Corporation and its Subsidiary(-ies) nor
**     the names of its contributors may be used to endorse or promote
**     products derived from this software without specific prior written
**     permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
** $QT_END_LICENSE$
**
****************************************************************************/

.pragma library



//

var email = "mugahlapps.meego@gmail.com";
var tubeThisWeekendV2Url = "http://www.tfl.gov.uk/tfl/businessandpartners/syndication/feed.aspx?email=" + email + "&feedId=7"
var liveTrafficDisruptionsUrl = "http://www.tfl.gov.uk/tfl/businessandpartners/syndication/feed.aspx?email=" + email + "&feedId=13"
var liveRoadsideMessageSignsUrl = "http://www.tfl.gov.uk/tfl/businessandpartners/syndication/feed.aspx?email=" + email + "&feedId=14"
var lineStatusUrl = "http://cloud.tfl.gov.uk/TrackerNet/LineStatus"
var lineStatusUrlIncidentsOnly = "http://cloud.tfl.gov.uk/TrackerNet/LineStatus/IncidentsOnly"
var stationStatusUrl = "http://cloud.tfl.gov.uk/TrackerNet/StationStatus"
var stationStatusUrlIncidentsOnly = "http://cloud.tfl.gov.uk/TrackerNet/StationStatus/IncidentsOnly"
var colorLightSteelBlue = "lightsteelblue"
var screenHeight = 854
var screenWidth = 480

var listFontPointSize = 7;
var listHeaderFontPointSize = 7;
var popupFontPointSize = 7
//    var listFontPointSize = 18;
//    var listHeaderFontPointSize = 26;
//    var popupFontPointSize = 20
var headerHeight = 71;
var listItemHeight = 45;
var borderWidth = 3
var listLeftRightMargin = 5


var listFontColor = "white"
var borderColor = "white"


var lineCode = {"B" : "Bakerloo", "C" : "Central", "D" : "District",
                            "H": "Hammersmith and Circle", "J" : "Jubilee",
                            "M" : "Metropolitan", "N" : "Northern", "P" : "Picadilly",
                            "V" : "Victoria", "W" : "Waterloo and City"};


function refresh(page, updatedTime, xmlModel, url) {
    var doc = new XMLHttpRequest();
    doc.onreadystatechange = function() {
        if (doc.readyState === XMLHttpRequest.DONE) {
            page.responseXml = qsTr(doc.responseText);
            page.lastUpdatedTime = currentDateTimeFormatted();
            xmlModel.reload();
        }
    }

    tflBusyIndicator.setVisbility = true
    tflBusyIndicator.setRunning = true

    doc.open("GET", url);
    doc.send();
}

function setSearchHeaderVar() {
    searchHeader();

}

function currentDateTimeFormatted() {
    return Qt.formatDateTime(new Date(), "dd MMM hh:mm")
}

function getLineColor(lineName) {
   return lineName === "DLR" ? "#02b2b1" : lineName === "Bakerloo" ? "#b06111" :
        lineName === "Central" ? "#ee2e24" : lineName === "Circle" ? "#ffd204" :
        lineName === "District" ? "#00853e" : lineName === "Hammersmith and City" ? "#f386a1" :
        lineName === "Hammersmith & City" ? "#f386a1" : lineName === "Jubilee" ? "#969ca1" :
        lineName === "Metropolitan" ? "#98005d" : lineName === "Northern" ? "#231f20" :
        lineName === "Piccadilly" ? "#1c3f95" : lineName === "Victoria" ? "#009ddc" :
        lineName === "Waterloo and City" ? "#85cebc" : lineName === "Waterloo & City" ? "#85cebc" :
        lineName === "Overground" ? "#f58026" : "grey"
}
/* Margins */
var INDENT_DEFAULT = 16;
var CORNER_MARGINS = 22;
var MARGIN_DEFAULT = 0;
var MARGIN_XLARGE = 16;

// ListDelegate
var LIST_ITEM_MARGIN = 16
var LIST_ITEM_SPACING = 16
var LIST_ITEM_HEIGHT = 80
var LIST_ICON_SIZE = 64
var LIST_TILE_SIZE = 26
var LIST_TITLE_COLOR = "#282828"
var LIST_TITLE_COLOR_PRESSED = "#797979"
var LIST_TITLE_COLOR_INVERTED = "#ffffff"
var LIST_TITLE_COLOR_PRESSED_INVERTED = "#797979"
var LIST_SUBTILE_SIZE = 22
var LIST_SUBTITLE_COLOR = "#505050"
var LIST_SUBTITLE_COLOR_PRESSED = "#797979"
var LIST_SUBTITLE_COLOR_INVERTED = "#C8C8C8"
var LIST_SUBTITLE_COLOR_PRESSED_INVERTED = "#797979"

/* Font properties */
var FONT_FAMILY = "Nokia Pure Text";
var FONT_FAMILY_BOLD = "Nokia Pure Text Bold";
var FONT_FAMILY_LIGHT = "Nokia Pure Text Light";
var FONT_DEFAULT_SIZE = 24;
var FONT_LIGHT_SIZE = 22;

/* TUMBLER properties */
var TUMBLER_COLOR_TEXT = "#FFFFFF";
var TUMBLER_COLOR_LABEL = "#8C8C8C";
var TUMBLER_COLOR = "#000000";
var TUMBLER_OPACITY_FULL = 1.0;
var TUMBLER_OPACITY = 0.4;
var TUMBLER_OPACITY_LOW = 0.1;
var TUMBLER_FLICK_VELOCITY = 700;
var TUMBLER_ROW_HEIGHT = 64;
var TUMBLER_LABEL_HEIGHT = 54;
var TUMBLER_MARGIN = 16;
var TUMBLER_BORDER_MARGIN = 1;
var TUMBLER_WIDTH = 344;
var TUMBLER_HEIGHT_PORTRAIT = 256;
var TUMBLER_HEIGHT_LANDSCAPE = 192;

/* Button styles */
// Normal
var COLOR_BUTTON_FOREGROUND = "#191919"; // Text color
var COLOR_BUTTON_SECONDARY_FOREGROUND = "#8c8c8c"; // Pressed
var COLOR_BUTTON_DISABLED_FOREGROUND = "#b2b2b4"; // Disabled
// Inverted
var COLOR_BUTTON_INVERTED_FOREGROUND = "#FFFFFF";
var COLOR_BUTTON_INVERTED_SECONDARY_FOREGROUND = "#8c8c8c"; // Pressed
var COLOR_BUTTON_INVERTED_DISABLED_FOREGROUND = "#f5f5f5"; // Disabled

var SIZE_BUTTON = 51;
var SIZE_SMALL_BUTTON = 43;
var WIDTH_SMALL_BUTTON = 122;
var WIDTH_TUMBLER_BUTTON = 222;

var FONT_BOLD_BUTTON = true;

var INFO_BANNER_OPACITY = 0.9
var INFO_BANNER_LETTER_SPACING = -1.2
