// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {

    property string email: "mughalapps.meego@gmail.com"
    property string tubeThisWeekendV2Url: "http://www.tfl.gov.uk/tfl/businessandpartners/syndication/feed.aspx?email=" + email + "&feedId=7"
    property string liveTrafficDisruptionsUrl: "http://www.tfl.gov.uk/tfl/businessandpartners/syndication/feed.aspx?email=" + email + "&feedId=13"
    property string liveRoadsideMessageSignsUrl: "http://www.tfl.gov.uk/tfl/businessandpartners/syndication/feed.aspx?email=" + email + "&feedId=14"
    property string lineStatusUrl: "http://cloud.tfl.gov.uk/TrackerNet/LineStatus"
    property string lineStatusUrlIncidentsOnly: "http://cloud.tfl.gov.uk/TrackerNet/LineStatus/IncidentsOnly"
    property string stationStatusUrl: "http://cloud.tfl.gov.uk/TrackerNet/StationStatus"
    property string stationStatusUrlIncidentsOnly: "http://cloud.tfl.gov.uk/TrackerNet/StationStatus/IncidentsOnly"
    property string colorLightSteelBlue: "lightsteelblue"
    property int screenHeight: 854
    property int screenWidth: 480

//    property int listFontPointSize: 7;
//    property int listHeaderFontPointSize: 7;
//    property int popupFontPointSize: 7
    property int listFontPointSize: 18;
    property int listHeaderFontPointSize: 26;
    property int popupFontPointSize: 20
    property int headerHeight: 71;
    property int listItemHeight: 45;
    property int borderWidth: 3
    property int listLeftRightMargin: 5


    property string listFontColor: "white"
    property string borderColor: "white"


    property variant lineCode: {"B" : "Bakerloo", "C" : "Central", "D" : "District",
                                "H": "Hammersmith and Circle", "J" : "Jubilee",
                                "M" : "Metropolitan", "N" : "Northern", "P" : "Picadilly",
                                "V" : "Victoria", "W" : "Waterloo and City"};


    function refresh(page, updatedTime, xmlModel, url) {
        var doc = new XMLHttpRequest();
        doc.onreadystatechange = function() {
            if (doc.readyState === XMLHttpRequest.DONE) {
                page.responseXml = qsTr(doc.responseText);
                xmlModel.reload();
            }
        }

        tflBusyIndicator.setVisbility = true
        tflBusyIndicator.setRunning = true

        doc.open("GET", url);
        doc.send();
    }

    function setSearchHeaderVar() {
        searchHeader();

    }

    function currentDateTimeFormatted() {
        return Qt.formatDateTime(new Date(), "dd MMM hh:mm")
    }

    function getLineColor(lineName) {
       return lineName === "DLR" ? "#02b2b1" : lineName === "Bakerloo" ? "#b06111" :
            lineName === "Central" ? "#ee2e24" : lineName === "Circle" ? "#ffd204" :
            lineName === "District" ? "#00853e" : lineName === "Hammersmith and City" ? "#f386a1" :
            lineName === "Hammersmith & City" ? "#f386a1" : lineName === "Jubilee" ? "#969ca1" :
            lineName === "Metropolitan" ? "#98005d" : lineName === "Northern" ? "#231f20" :
            lineName === "Piccadilly" ? "#1c3f95" : lineName === "Victoria" ? "#009ddc" :
            lineName === "Waterloo and City" ? "#85cebc" : lineName === "Waterloo & City" ? "#85cebc" :
            lineName === "Overground" ? "#f58026" : "grey"
    }
}
