// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Component {
     id: delegate
     Item {
         height: constants.listItemHeight
         width: parent.width
         focus: true
         Rectangle {
             height: parent.height
             width: parent.width * 0.2
             border.color: constants.borderColor
             border.width: constants.borderWidth
             color: "black"
             Text {
                 text: qsTr(roadnr);
                 font.pointSize: constants.listFontPointSize
                 color: constants.listFontColor
                 anchors.left: parent.left
                 anchors.leftMargin: constants.listLeftRightMargin
                 anchors.verticalCenter: parent.verticalCenter
           }
         }
         Rectangle {
             id: signTextContainer
             color: signtext === "Severe" ? "red" : "Moderate" ? "orange" : "grey";
             anchors.right: parent.right
             width: parent.width * 0.8
             height: constants.listItemHeight
             border.color: constants.borderColor
             border.width: constants.borderWidth
         Text {
             text: signtext;
             anchors.left: parent.left
             anchors.leftMargin: constants.listLeftRightMargin
             font.pointSize: constants.listFontPointSize
             color: constants.listFontColor
             anchors.verticalCenter: parent.verticalCenter
         }

         MouseArea {
             anchors.fill: parent
             onClicked: {
                 if (signtext !== "") {
                     popupVMS.message = signtext.replace("|", "<br/>").replace("|", "<br/>")
                     .replace("|", "<br/>").replace("|", "<br/>").replace("|", "<br/>")
                     .replace("|", "<br/>").replace("|", "<br/>").replace("|", "<br/>");
                     popupVMS.open()
                 }
             }
         }
      }
   }
}
