// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Page {


    AdScreen {
        id: ad
        anchors.bottom: parent.bottom
        z: 2
    }

    tools: aboutToolbar

    Rectangle {
        height: listview.height
        width: parent.width
        color: "black"
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -80

    ListModel {

        id: pagesModel


//        ListElement {
//            title: "Roadside Message Signs"
//            page: "LiveRoadsideMessageSigns.qml"
//            subtitle: "Live roadside VMS (Variable Message Signs)"
//        }

//        ListElement {
//            title: "Traffic Disruptions"
//            page:  "LiveTrafficDisruptions.qml"
//            subtitle: "Live traffic disruptions around London"
//        }

//        ListElement {
//            title: "Station Update"
//            page: "StationStatus.qml"
//            subtitle: "Current conditions at stations."
//        }

        ListElement {
            title: "Service Update"
            page:  "LineStatus.qml"
            subtitle: "Current underground line status."
        }

//        ListElement {
//            title: "Weekend Service Update"
//            page: "TubeThisWeekendV2.qml"
//            subtitle: "Underground disruptions this weekend"
//        }
    }


    ListView {
        id: listview
        anchors.fill: parent
        model: pagesModel
        delegate: ListDelegate {
            Image {
                source: "image://theme/icon-m-common-drilldown-arrow" + (theme.inverted ? "-inverse" : "")
                anchors.right: parent.right;
                anchors.verticalCenter: parent.verticalCenter
            }
            onClicked: { appWindow.pageStack.push(Qt.resolvedUrl(model.page));}
        }
    }
    ScrollDecorator {
        flickableItem: listview
    }
    }
}
