// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "Constants.js" as Constants

Rectangle {
    property alias model: tfl.model
    property alias delegate: tfl.delegate
    //height: parent.height - tflHeader.height
    //width: parent.width
    anchors.fill: parent
    //anchors.top: tflHeader.bottom
    color: "black"
    ListView {
        id: tfl
        //model: xmlModel
        anchors.fill: parent
        header: head
        //delegate: delegate
        snapMode: ListView.NoSnap
        property Item headerItem: null
        ScrollDecorator {
            flickableItem: parent
        }

        onMovementStarted: {
            onMovementStarted:  headerItem.state = "visible";
        }
    }

    Component {
        id: head
        Item {
          property string headerBackgroud: "black"
          id: searchRectangle
          //anchors.topMargin: constants.headerHeight
          width: parent.width
          height: (state == "visible") ? 55 : 0
          visible: (state == "visible") ? true : false
          //color: headerBackgroud
          TextField {
                id: searchField
                //anchors.fill: parent
                //anchors.margins: 5
                focus: false
                visible: parent.visible
                placeholderText: "Search"
                onTextChanged: {
                    if (searchField.text.length > 0) {
                        searchIcon.visible = false;
                        deleteIcon.visible = true;
                    } else {
                        searchIcon.visible = true;
                        deleteIcon.visible = false;
                    }

                    if (activeFocus) {
                        if(filterTimer.running) {
                            filterTimer.restart()
                        } else {
                            filterTimer.start()
                        }
                    }
                }

                onActiveFocusChanged: {
                    if(searchField.activeFocus) {
                        autoHideTimer.stop();
                    }
                    else {
                        autoHideTimer.restart();
                    }
                }
                Timer {
                   id: filterTimer
                   interval: 1500
                   running: false
                   repeat: false
                   onTriggered: {
                       queryText = searchField.text;
                   }
                }

                ToolIcon {
                  id: searchIcon
                  iconSource: "image://theme/icon-m-common-search";
                  anchors.verticalCenter: parent.verticalCenter
                  anchors.right: parent.right
                  visible: parent.visible
                }
                ToolIcon {
                  id: deleteIcon
                  iconSource: "image://theme/icon-m-input-clear";
                  anchors.verticalCenter: parent.verticalCenter
                  anchors.right: parent.right
                  visible: false
                  onClicked: {
                      searchField.text = "";
                  }
                }
          }

          Component.onCompleted: tfl.headerItem = searchRectangle
          Component.onDestruction: tfl.headerItem = null

          state: "hidden"
          onStateChanged: {
              if (state == "visible") {
                  showAnimation.start();
              }
              if (state == "hidden") {
                  hideAnimation.start();
              }
          }

          ParallelAnimation {
              id: showAnimation
              PropertyAnimation { target: searchRectangle; property: "visible"; from: "false"; to: "true" }
              NumberAnimation { target: searchRectangle; property: "opacity"; from: 0; to: 1; duration: 250;}
          }

          ParallelAnimation {
              id: hideAnimation
              NumberAnimation { target: searchRectangle; property: "opacity"; from: 1; to: 0; duration: 250;}
              PropertyAnimation { target: searchRectangle; property: "visible"; from: "true"; to: "false" }
          }


          // Autohide timer
          Timer {
            id: autoHideTimer
            interval: 2000
            onTriggered: {
                if (!searchField.activeFocus && searchField.text.length < 1)
                 searchRectangle.state = "hidden"
            }
            running: true
          }

          function startTimer(){
            // Doesn't hide search field if it has focus
            if (!searchField.activeFocus)
              autoHideTimer.restart();
            }
        }
    }
}

