//import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: liveServices
    height: constants.screenHeight
    width: constants.screenWidth

    Constants {
        id: constants
    }

    PopupVMS {
        id: popupVMS
    }

    TflBusyIndicator {
        id: tflBusyIndicator
    }

    LineStatus {
        id: lineStatus
    }

    LiveServices {
        id: liveServices
    }

    Component.onCompleted: {
        // Use the dark theme.
        theme.inverted = true;
    }

    ToolBarLayout {
            id: aboutToolbar
            ToolIcon { iconId: "" }
            ToolIcon { iconId: "" }
            ToolIcon {  iconId: "toolbar-view-menu" ; onClicked: menu.open(); }
        }

    PopupVMS {
        id: about
    }

    Menu {
        id: menu
        visualParent: pageStack
        MenuLayout {
            MenuItem {text: "About"; onClicked: {
                    about.title = "About"
                    about.message = "Created by MughalApps (©)."
                    about.open();
                }
            }
            MenuItem {text: "Visit website"; onClicked: {
                    Qt.openUrlExternally("https://sites.google.com/site/mughalappsmeego/");
                }
            }
        }
    }
}
